[asterisk-commits] tilghman: branch tilghman/callparking_retrieval r814 - in /asterisk/team/tilg...

SVN commits to the Asterisk project asterisk-commits at lists.digium.com
Fri Oct 29 15:13:32 CDT 2010


Author: tilghman
Date: Fri Oct 29 15:13:29 2010
New Revision: 814

URL: http://svnview.digium.com/svn/testsuite?view=rev&rev=814
Log:
Intermediate save

Modified:
    asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/run-test
    asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/userB/extensions.conf
    asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/userC/extensions.conf
    asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/run-test
    asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userA/extensions.conf
    asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userA/iax.conf
    asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userB/extensions.conf
    asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userB/iax.conf

Modified: asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/run-test
URL: http://svnview.digium.com/svn/testsuite/asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/run-test?view=diff&rev=814&r1=813&r2=814
==============================================================================
--- asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/run-test (original)
+++ asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/run-test Fri Oct 29 15:13:29 2010
@@ -98,12 +98,6 @@
 
 # Verify that the call is up
 count=`$ASTERISK -C $userA_tmpdir/asterisk.conf -rx "core show channels" | wc -l`
-echo "====="
-$ASTERISK -C $userA_tmpdir/asterisk.conf -rx "core show channels"
-echo "-----"
-$ASTERISK -C $userB_tmpdir/asterisk.conf -rx "core show channels"
-echo "-----"
-$ASTERISK -C $userC_tmpdir/asterisk.conf -rx "core show channels"
 if test $count != $(($CSC_HEADERS+3)); then # 3 = 2 sides of Local channel plus outgoing to B
 	echo " *** Call generation from user A to user B failed: $count"
 	cleanup
@@ -114,12 +108,6 @@
 
 # Verify that the call is up on our bridge server
 count=`$ASTERISK -C $userC_tmpdir/asterisk.conf -rx "core show channels" | wc -l`
-echo "====="
-$ASTERISK -C $userA_tmpdir/asterisk.conf -rx "core show channels"
-echo "-----"
-$ASTERISK -C $userB_tmpdir/asterisk.conf -rx "core show channels"
-echo "-----"
-$ASTERISK -C $userC_tmpdir/asterisk.conf -rx "core show channels"
 if test $count != $(($CSC_HEADERS+1)); then
 	echo " *** User B failed to park the call from user A: $count"
 	cleanup

Modified: asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/userB/extensions.conf
URL: http://svnview.digium.com/svn/testsuite/asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/userB/extensions.conf?view=diff&rev=814&r1=813&r2=814
==============================================================================
--- asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/userB/extensions.conf (original)
+++ asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/userB/extensions.conf Fri Oct 29 15:13:29 2010
@@ -4,7 +4,7 @@
 
 ; When user A calls user B, user B will attempt to callpark user A.
 exten => userb,1,Answer
-exten => userb,n(park),Wait(1)
+exten => userb,n,Wait(1)
 exten => userb,n,SendDTMF(#)
 exten => userb,n,Wait(1)
 exten => userb,n,SendDTMF(700)
@@ -12,5 +12,5 @@
 exten => userb,n,Hangup
 
 ; After retrieving the parked call, try parking it again
-exten => parka,1,Goto(userb,park)
+exten => parka,1,Goto(userb,1)
 

Modified: asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/userC/extensions.conf
URL: http://svnview.digium.com/svn/testsuite/asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/userC/extensions.conf?view=diff&rev=814&r1=813&r2=814
==============================================================================
--- asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/userC/extensions.conf (original)
+++ asterisk/team/tilghman/callparking_retrieval/tests/callparking_retrieval/userC/extensions.conf Fri Oct 29 15:13:29 2010
@@ -10,5 +10,6 @@
 exten => userb,1,Dial(IAX2/userb/userb at parking,,t)
 exten => userb,n,Hangup
 
-; When user B calls in, we will go directly to the parkedcalls context, so nothing else is needed here.
+exten => 701,1,Answer
+exten => 701,n,Goto(parkedcalls,701,1)
 

Modified: asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/run-test
URL: http://svnview.digium.com/svn/testsuite/asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/run-test?view=diff&rev=814&r1=813&r2=814
==============================================================================
--- asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/run-test (original)
+++ asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/run-test Fri Oct 29 15:13:29 2010
@@ -1,6 +1,7 @@
 #!/bin/bash
 
 set +e
+debug=1
 
 echo " >>> Starting spoolfile test"
 
@@ -26,6 +27,10 @@
 	*-1.6.2*|*-1.4*)
 		ORIGINATE='originate'
 		CSC_HEADERS=4
+		;;
+	"")
+		echo "Usage: $0 -v asterisk-<version>"
+		exit 1
 		;;
 	*)
 		ORIGINATE='channel originate'
@@ -53,15 +58,21 @@
 	  echo "Context: spoolfile"
 	  echo "Extension: $2"
 	  echo "Priority: 1"
-	  echo "Retry: 3"
-	  echo "WaitTime: 2"
-	  echo "RetryTime: 2"
+	  echo "MaxRetries: 3"
+	  echo "WaitTime: 1"
+	  echo "RetryTime: 3"
+	  echo "Archive: yes"
 	)
 }
 
 verify_call() {
 	# Verify that the call is up
 	local count=`$ASTERISK -C $1/asterisk.conf -rx "core show channels" | wc -l`
+	if test "$debug" = "1"; then
+		echo ">>>>>$1>>>>>"
+		$ASTERISK -C $1/asterisk.conf -rx "core show channels"
+		echo "<<<<<$1<<<<<"
+	fi
 	if test $count != $(($CSC_HEADERS+$2)); then
 		echo " *** Call generation failed: $count"
 		cleanup
@@ -70,6 +81,11 @@
 }
 
 for user in userA userB; do
+	# Clean logger output file, when we're testing
+	if test "$debug" = "1"; then
+		rm -f $testdir/$user/messages
+	fi
+
 	echo " >>> Creating configuration directory for $user"
 	eval "${user}_tmpdir=`mktemp --tmpdir=/var/tmp -t -d spoolfile_$user.XXXXXX`"
 	# Shortcut for referral within this loop only
@@ -107,22 +123,34 @@
 		cleanup
 		exit 1
 	fi
+
+	$ASTERISK -C $conf/asterisk.conf -rx 'core set debug 1 pbx_spool'
 done
 
 echo " >>> Spooling first file"
-create_spool("Local/noanswer at spoolfile", "donothing") > $userA_tmpdir/spoolfile
+create_spool "Local/noanswer at spoolfile" "donothing" > $userA_tmpdir/spoolfile
 mv -f $userA_tmpdir/spoolfile /var/spool/asterisk/outgoing/
 sleep 1
-verify_call($userA_tmpdir, 3)
+if test "$debug" = "1"; then
+	for user in userA userB; do
+		echo ">>>>> $user >>>>>"
+		eval "$ASTERISK -C \${${user}_tmpdir}/asterisk.conf -rx \"core show channels\""
+		echo "<<<<< $user <<<<<"
+	done
+fi
+verify_call $userA_tmpdir 3
 
 # Enough time for 3 retries
-sleep 12
+sleep 15
+
+echo " >>> Spool files should be expired by now"
+verify_call $userA_tmpdir 0
 
 echo " >>> Spooling second file"
-create_spool("Local/answer at spoolfile", "donothing") > $userA_tmpdir/spoolfile
+create_spool "Local/answer at spoolfile" "donothing" > $userA_tmpdir/spoolfile
 mv -f $userA_tmpdir/spoolfile /var/spool/asterisk/outgoing/
 sleep 1
-verify_call($userA_tmpdir, 3)
+verify_call $userA_tmpdir 3
 
 sleep 5
 

Modified: asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userA/extensions.conf
URL: http://svnview.digium.com/svn/testsuite/asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userA/extensions.conf?view=diff&rev=814&r1=813&r2=814
==============================================================================
--- asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userA/extensions.conf (original)
+++ asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userA/extensions.conf Fri Oct 29 15:13:29 2010
@@ -3,12 +3,12 @@
 writeprotect=no
 lastaction=""
 
-[spoolfiles]
+[spoolfile]
 ; User A starts out by calling user B, with inband DTMF activated for transfer
 exten => donothing,1,Answer
 exten => donothing,n,Wait(1)
 exten => donothing,n,Hangup
 
-exten => answer,1,Dial(IAX2/userb/${EXTEN}@spoolfiles)
-exten => noanswer,1,Dial(IAX2/userb/${EXTEN}@spoolfiles)
+exten => answer,1,Dial(IAX2/userb/${EXTEN}@spoolfile)
+exten => noanswer,1,Dial(IAX2/userb/${EXTEN}@spoolfile)
 

Modified: asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userA/iax.conf
URL: http://svnview.digium.com/svn/testsuite/asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userA/iax.conf?view=diff&rev=814&r1=813&r2=814
==============================================================================
--- asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userA/iax.conf (original)
+++ asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userA/iax.conf Fri Oct 29 15:13:29 2010
@@ -12,6 +12,6 @@
 username=usera
 host=127.0.0.1
 port=4572
-context=spoolfiles
+context=spoolfile
 transfer=no
 

Modified: asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userB/extensions.conf
URL: http://svnview.digium.com/svn/testsuite/asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userB/extensions.conf?view=diff&rev=814&r1=813&r2=814
==============================================================================
--- asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userB/extensions.conf (original)
+++ asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userB/extensions.conf Fri Oct 29 15:13:29 2010
@@ -3,7 +3,7 @@
 writeprotect=no
 lastaction=""
 
-[spoolfiles]
+[spoolfile]
 exten => answer,1,Answer
 exten => answer,n,Wait(1)
 exten => answer,n,Hangup

Modified: asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userB/iax.conf
URL: http://svnview.digium.com/svn/testsuite/asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userB/iax.conf?view=diff&rev=814&r1=813&r2=814
==============================================================================
--- asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userB/iax.conf (original)
+++ asterisk/team/tilghman/callparking_retrieval/tests/pbx/call-files2/userB/iax.conf Fri Oct 29 15:13:29 2010
@@ -12,6 +12,6 @@
 username=userb
 host=127.0.0.1
 port=4571
-context=spoolfiles
+context=spoolfile
 transfer=no
 




More information about the asterisk-commits mailing list